---
layout: section
title: "Beam Release Guide: 09 - Post Release"
section_menu: section-menu/contribute.html
permalink: /contribute/release-guide/post-release/
---
<!--
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
-->

# Promote the release

Once the release has been finalized, the last step of the process is to promote the release within the project and beyond.

## Apache mailing lists

Announce on the [dev@](mailto:dev@beam.apache.org) mailing list that the release has been finished.

Announce on the release on the [user@](mailto:user@beam.apache.org) mailing list, listing major improvements and contributions.

Announce the release on the [announce@apache.org](mailto:announce@apache.org) mailing list.
__NOTE__: This can only be done from `@apache.org` email address. Good luck.

## Social media

Tweet, post on Facebook, LinkedIn, and other platforms. Ask other contributors to do the same.

Also, update [the Wikipedia article on Apache Beam](https://en.wikipedia.org/wiki/Apache_Beam).

*********

## Checklist to declare the process completed

1. Release announced on `user@`;
1. Blog post published;
1. Release recorded in `reporter.apache.org`;
1. Release announced on social media;
1. Completion declared on `dev@`;
1. Wikipedia Apache Beam article updated;

**********

# Improve the process

It is important that we improve the release processes over time. Once you’ve finished the release,
please take a step back and look what areas of this process and be improved. 
Perhaps some part of the process can be simplified. Perhaps parts of this guide can be clarified.

If we have specific ideas, please start a discussion on the `dev@` mailing list and/or propose a pull request to update this guide. Thanks!
